This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 387741 - GDB hardware watchpoint support for Power.
GDB hardware watchpoint support for Power.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
: Regression
Depends On: 253117
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 17:19 EST by Jan Kratochvil
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.23.1-49.fc8.ppc64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 17:19:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kernel fix by Roland McGrath. (4.23 KB, patch)
2007-11-16 17:19 EST, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2007-11-16 17:19:00 EST
GDB does not detect the hardware watchpoints feature of Power 6.

Testcase is provided at:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/tests/ptrace-tests/tests/powerpc-debugreg.c?cvsroot=systemtap
== powerpc-debugreg at: http://sourceware.org/systemtap/wiki/utrace/tests

Description of problem:
GDB does not detect the hardware watchpoints feature of Power 6.

Version-Release number of selected component (if applicable):
kernel-2.6.23.1-42.fc8.ppc64

How reproducible:


Steps to Reproduce:
1. wget
http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/tests/ptrace-tests/tests/powerpc-debugreg.c?cvsroot=systemtap
== powerpc-debugreg at: http://sourceware.org/systemtap/wiki/utrace/tests
2. gcc -o powerpc-debugreg powerpc-debugreg.c -Wall -ggdb2 -D_GNU_SOURCE
3. ./powerpc-debugreg; echo $?
  
Actual results:
powerpc-debugreg: powerpc-debugreg.c:77: main: Assertion `0' failed.
powerpc-debugreg: powerpc-debugreg.c:115: main: Assertion `((((__extension__
(((union { __typeof(status) __in; int __i; }) { .__in = (status) }).__i))) &
0xff00) >> 8) == 5' failed.
Aborted
134
[ The error may be different, do not have the F7-GOLD ppc64 handy here. ]

Expected results:
0

Additional info:
Comment 1 Jan Kratochvil 2007-11-16 17:19:00 EST
Created attachment 261901 [details]
kernel fix by Roland McGrath.
Comment 2 Jan Kratochvil 2007-11-16 17:19:57 EST
Fixed in kernel-2.6.23.1-49.fc8.ppc64:
* Tue Nov 06 2007 Chuck Ebbert <cebbert@redhat.com>
- update utrace

Note You need to log in before you can comment on or make changes to this bug.